!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/etc/rc.d/rc5.d/   drwxr-xr-x
Free 52.27 GB of 127.8 GB (40.9%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     S25netfs (5.71 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/bash
#
# netfs         Mount network filesystems.
#
# Authors:	Bill Nottingham <notting@redhat.com>
#		AJ Lewis <alewis@redhat.com>
# 		Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
#
# chkconfig: 345 25 75
# description: Mounts and unmounts all Network File System (NFS), \
#	       SMB/CIFS (Lan Manager/Windows), and NCP (NetWare) mount points.
### BEGIN INIT INFO
# Provides: $local_fs $remote_fs
### END INIT INFO

[ -f /etc/sysconfig/network ] || exit 0
. /etc/init.d/functions
. /etc/sysconfig/network

# Check that networking is up.
[ "${NETWORKING}" = "no" ] && exit 0

NFSFSTAB=`LC_ALL=C awk '!/^#/ && $3 ~ /^nfs/ && $3 != "nfsd" && $4 !~ /noauto/ { print $2 }' /etc/fstab`
SMBFSTAB=`LC_ALL=C awk '!/^#/ && $3 == "smbfs" && $4 !~ /noauto/ { print $2 }' /etc/fstab`
CIFSFSTAB=`LC_ALL=C awk '!/^#/ && $3 == "cifs" && $4 !~ /noauto/ { print $2 }' /etc/fstab`
NCPFSTAB=`LC_ALL=C awk '!/^#/ && $3 == "ncpfs" && $4 !~ /noauto/ { print $2 }' /etc/fstab`
NETDEVFSTAB=`LC_ALL=C awk '!/^#/ && $4 ~/_netdev/ && $4 !~ /noauto/ { print $1 }' /etc/fstab`

NFSMTAB=`LC_ALL=C awk '$3 ~ /^nfs/ && $3 != "nfsd" && $2 != "/" { print $2 }' /proc/mounts`
SMBMTAB=`LC_ALL=C awk '$3 == "smbfs" { print $2 }' /proc/mounts`
CIFSMTAB=`LC_ALL=C awk '$3 == "cifs" { print $2 }' /proc/mounts`
NCPMTAB=`LC_ALL=C awk '$3 == "ncpfs" { print $2 }' /proc/mounts`
NETDEVMTAB=`LC_ALL=C awk '$4 ~ /_netdev/ && $2 != "/" { print $2 }' /etc/mtab`

# See how we were called.
case "$1" in
  start)
	# Let udev handle any backlog before trying to mount file systems
	/sbin/udevsettle --timeout=30
        [ -n "$NFSFSTAB" ] && 
	  {
	    [ ! -f /var/lock/subsys/portmap ] && service portmap start
	    action $"Mounting NFS filesystems: " mount -a -t nfs,nfs4
	  }
        [ -n "$SMBFSTAB" ] && action $"Mounting SMB filesystems: " mount -a -t smbfs
        [ -n "$CIFSFSTAB" ] && action $"Mounting CIFS filesystems: " mount -a -t cifs
        [ -n "$NCPFSTAB" ] && action $"Mounting NCP filesystems: " mount -a -t ncpfs
        [ -n "$NETDEVFSTAB" ] &&
	  {
	    if [ -f /etc/mdadm.conf ]; then
		mdadm -A -s 
	    fi
	    if [ -f /etc/multipath.conf -a -x /sbin/multipath.static ]; then
	    	modprobe dm-multipath >/dev/null 2>&1
		/sbin/multipath.static -v 0
		if [ -x /sbin/kpartx ]; then
		       /sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -a"
		fi
	    fi
	    if [ -x /sbin/lvm.static ]; then
		if /sbin/lvm.static vgscan > /dev/null 2>&1 ; then
		       action $"Setting up Logical Volume Management:" /sbin/lvm.static vgchange -a y
		fi
	    fi
	    STRING=$"Checking network-attached filesystems"
	    
	    echo $STRING
	    fsck -A -T -R -a -t opts=_netdev
	    rc=$?
	    
	    if [ "$rc" -eq "0" ]; then
	    	success "$STRING"
		echo
	    elif [ "$rc" -eq "1" ]; then
	        passed "$STRING"
	        echo
	    fi
	    
	    if [ "$rc" -gt 1 ]; then
	    	if [ -x /usr/bin/rhgb-client ] && /usr/bin/rhgb-client --ping ; then
			/usr/bin/rhgb-client --details=yes >/dev/null 2>&1
		fi
	        
                failure "$STRING"
		echo
		echo
		echo $"*** An error occurred during the file system check."
		echo $"*** Dropping you to a shell; the system will reboot"
		echo $"*** when you leave the shell."
		
		str=$"(Repair filesystem)"
		PS1="$str \# # "; export PS1
		[ "$SELINUX" = "1" ] && disable_selinux
		sulogin
		
		shutdown -r now
	   fi
	  }
	touch /var/lock/subsys/netfs
	action $"Mounting other filesystems: " mount -a -t nonfs,nfs4,smbfs,cifs,ncpfs,gfs
	;;
  stop)
        # Unmount loopback stuff first
	__umount_loopback_loop
  	if [ -n "$NETDEVMTAB" ]; then
		__umount_loop '$4 ~ /_netdev/ && $2 != "/" {print $2}' \
			/etc/mtab \
			$"Unmounting network block filesystems: " \
			$"Unmounting network block filesystems (retry): "
	fi
  	if [ -n "$NFSMTAB" ]; then
		__umount_loop '$3 ~ /^nfs/ && $3 != "nfsd" && $2 != "/" {print $2}' \
			/proc/mounts \
			$"Unmounting NFS filesystems: " \
			$"Unmounting NFS filesystems (retry): " \
			"-f -l"
	fi
	[ -n "$SMBMTAB" ] && action $"Unmounting SMB filesystems: " umount -a -t smbfs
	[ -n "$CIFSMTAB" ] && action $"Unmounting CIFS filesystems: " umount -a -t cifs
	[ -n "$NCPMTAB" ] && action $"Unmounting NCP filesystems: " umount -a -t ncpfs
	rm -f /var/lock/subsys/netfs
	;;
  status)
	if [ -f /proc/mounts ] ; then
	        [ -n "$NFSFSTAB" ] && {
		     echo $"Configured NFS mountpoints: "
		     for fs in $NFSFSTAB; do echo $fs ; done
		}
	        [ -n "$SMBFSTAB" ] && {
		     echo $"Configured SMB mountpoints: "
		     for fs in $SMBFSTAB; do echo $fs ; done
		}
	        [ -n "$CIFSFSTAB" ] && {
		     echo $"Configured CIFS mountpoints: "
		     for fs in $CIFSFSTAB; do echo $fs ; done
		}
	        [ -n "$NCPFSTAB" ] && {
		     echo $"Configured NCP mountpoints: "
		     for fs in $NCPFSTAB; do echo $fs ; done
		}
		[ -n "$NETDEVFSTAB" ] && {
		      echo $"Configured network block devices: "
		      for fs in $NETDEVFSTAB; do echo $fs ; done
		}
		[ -n "$NFSMTAB" ] && {
                      echo $"Active NFS mountpoints: "
		      for fs in $NFSMTAB; do echo $fs ; done
		}
		[ -n "$SMBMTAB" ] && {
                      echo $"Active SMB mountpoints: "
		      for fs in $SMBMTAB; do echo $fs ; done
		}
		[ -n "$CIFSMTAB" ] && {
                      echo $"Active CIFS mountpoints: "
		      for fs in $CIFSMTAB; do echo $fs ; done
		}
		[ -n "$NCPMTAB" ] && {
                      echo $"Active NCP mountpoints: "
		      for fs in $NCPMTAB; do echo $fs ; done
		}
		[ -n "$NETDEVMTAB" ] && {
		      echo $"Active network block devices: "
		      for fs in $NETDEVMTAB; do echo $fs ; done
		}
	else
		echo $"/proc filesystem unavailable"
	fi
	[ -r /var/lock/subsys/netfs ] || exit 2
	;;
  restart)
	$0 stop
	$0 start
	;;
  reload)
        $0 start
	;;
  *)
	echo $"Usage: $0 {start|stop|restart|reload|status}"
	exit 1
esac

exit 0

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0056 ]--